Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk
Class ObjectMemoryFile

    java.lang.Object
      com.sun.squawk.ObjectMemoryFile

    public final class ObjectMemoryFile

extends Object

An ObjectMemoryFile encapsulates all the data in a serialized object graph. The format of a serialized object graphic is described by the following pseudo C struct:

>         ObjectMemory {
>             u4 magic               // 0xDEADBEEF
>             u2 minor_version;
>             u2 major_version;
>             u4 attributes;         // mask of the ATTRIBUTE_* constants in this class
>             u4 parent_hash;
>             utf8 parent_uri;
>             u4 root;               // offset (in bytes) in 'memory' of the root of the graph
>             u4 size;               // size (in bytes) of memory
>             u1 oopmap[((size / HDR.BYTES_PER_WORD) + 7) / 8];
>             u1 padding[n];         // 0 <= n < HDR.BYTES_PER_WORD to align 'memory' on a word boundary
>             u1 memory[size];
>             u1 typemap[size];      // only present if ATTRIBUTE_TYPEMAP is set
>         }

Field Summary
`static int` | `ATTRIBUTE_32BIT` Denotes a object memory file that is only compatible with a 32 bit system.
`static int` | `ATTRIBUTE_BIGENDIAN` Denotes a object memory file that is in big endian format.
`static int` | `ATTRIBUTE_TYPEMAP` Denotes a object memory file that has a type map describing the type of the value at every address in the 'memory' component.
`int` | `attributes`
`int` | `major`
`int` | `minor`
`ObjectMemory` | `objectMemory`
`int` | `parentHash`
`String` | `parentURI`

Constructor Summary
`ObjectMemoryFile(int minor, int major, int attributes, int parentHash, String parentURI, ObjectMemory objectMemory)`

Method Summary
`boolean` | `isBigEndian()` Determines if `attributes` value in this object memory file denoted a big endian format memory.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTRIBUTE_TYPEMAP

    public static final int ATTRIBUTE_TYPEMAP

  Denotes a object memory file that has a type map describing the type of the value at every address in the 'memory' component. The entries in the map are described in `AddressType`.

  See Also:
    Constant Field Values

### ATTRIBUTE_32BIT

    public static final int ATTRIBUTE_32BIT

  Denotes a object memory file that is only compatible with a 32 bit system. Otherwise the object memory file is only compatible with a 64 bit system.

  See Also:
    Constant Field Values

### ATTRIBUTE_BIGENDIAN

    public static final int ATTRIBUTE_BIGENDIAN

  Denotes a object memory file that is in big endian format. Otherwise the object memory file is in little endian format.

  See Also:
    Constant Field Values

### minor

    public final int minor

### major

    public final int major

### attributes

    public final int attributes

### parentHash

    public final int parentHash

### parentURI

    public final String parentURI

### objectMemory

    public final ObjectMemory objectMemory

Constructor Detail

### ObjectMemoryFile

    public ObjectMemoryFile(int minor,
                            int major,
                            int attributes,
                            int parentHash,
                            String parentURI,
                            ObjectMemory objectMemory)

Method Detail

### isBigEndian

    public boolean isBigEndian()

  Determines if `attributes` value in this object memory file denoted a big endian format memory.

  Returns:
    true if `(this.attributes & ATTRIBUTE_BIGENDIAN) != 0`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"